/**
 * 版权所有 ©2019 莱欧软件有限公司
 * 工程名：SpringMVCLion
 * 文件名：RoleController.java
 * 创建日期：2019年2月28日 上午9:05:18
 * 作者：chengpengfei
 */
package com.lion.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.service.RoleService;


/**
 * 类描述 角色操作
 * @author chengpengfei
 * @since 2019年2月28日
 */
@RestController
@RequestMapping("role")
public class RoleController {
	@Autowired
	private RoleService service;
	/**
	 * 方法描述 全查角色
	 * @author chengpengfei
	 * @since 2019年2月28日
	 * @param req
	 * @return	
	 */
	@RequestMapping("getRole.service")
	public Map<String,Object> getUser(HttpServletRequest req,HttpSession session){
		return service.getUser(req, session);
	}
	/**
	 * 方法描述 删除角色
	 * @author chengpengfei
	 * @since 2019年2月28日
	 * @param req
	 * @param id
	 * @return	
	 */
	@RequestMapping("deleteRole.service")
	public String deleteRole(HttpServletRequest req,String roleId,HttpSession session){
		return service.deleteRole(req, roleId, session);
	}
	/**
	 * 方法描述 添加修改用户
	 * @author ASUS
	 * @since 2019年2月28日
	 * @param req
	 * @param name
	 * @return	
	 */
	@RequestMapping("addAndUpdateRole.service")
	public String addAndUpdateRole(HttpServletRequest req,HttpSession session,String name,String content,String id){
		return service.addAndUpdateRole(req, session, name, content, id);
	}
}
