/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：szjgpt
 * 文件名：TianQiControllr.java
 * 创建日期：2021年9月1日 上午9:48:23
 * 作者：mt.W
 */
package com.lion.controller;

import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

import org.json.JSONObject;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONArray;
import com.lion.util.HttpUtil;
import com.lion.util.Util;

/**
 * 类描述
 * @author mt.W
 * @since 2021年9月1日
 */
@RestController
@RequestMapping("tianqi")
public class TianQiController {

	@RequestMapping("returnTianqiInfo.do")
	public Map<String,Object> returnTianqiInfo() throws UnsupportedEncodingException{
		String url = "http://wthrcdn.etouch.cn/weather_mini?city=惠州市";
		String rs = HttpUtil.httpGet(url);
		JSONObject json =  new JSONObject(new String(rs.getBytes("iso8859-1"),"utf-8"));
		@SuppressWarnings("unchecked")
		List<Map<String,Object>> list = (List<Map<String, Object>>) JSONArray.parse(json.getJSONObject("data").get("forecast").toString());
		return Util.responseMap("true", list);
	}
}
